# Plugin Catalog
This is the master catalog of plugins for Snap. The plugins in this list may be written by multiple sources. Please examine the license and documentation of each plugin for more information.

## All Plugins
This file is automatically generated. If you would like to add to the plugin list, [add your plugin to this list](plugins.yml) and it will be added (usually within 24 hours).

### Collectors

| Name | Maintainer | Description | CI | Download |
|------|------------|-------------|----|----------|
| [Apache](https://github.com/intelsdi-x/snap-plugin-collector-apache) | [Intel](https://github.com/intelsdi-x) | Collects Apache webserver mod_status metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-apache/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-apache/latest/linux/x86_64/snap-plugin-collector-apache)</li></ul> |
| [CEPH](https://github.com/intelsdi-x/snap-plugin-collector-ceph) | [Intel](https://github.com/intelsdi-x) | Collects OpenStack CEPH module metrics |  | <ul><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-ceph/latest/linux/x86_64/snap-plugin-collector-ceph)</li></ul> |
| [CPU](https://github.com/intelsdi-x/snap-plugin-collector-cpu) | [Intel](https://github.com/intelsdi-x) | Collects Linux cpu metrics from /proc/stat. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-collector-cpu.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-collector-cpu)</li><li>[![Build Status](https://ci.snap-telemetry.io/buildStatus/icon?job=snap-plugin-collector-cpu-large-prb-k8s)](https://ci.snap-telemetry.io/job/snap-plugin-collector-cpu-large-prb-k8s/)</li></ul> | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-cpu/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-cpu/latest/linux/x86_64/snap-plugin-collector-cpu)</li></ul> |
| [Cinder](https://github.com/intelsdi-x/snap-plugin-collector-cinder) | [Intel](https://github.com/intelsdi-x) | Collects OpenStack Cinder module metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-cinder/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-cinder/latest/linux/x86_64/snap-plugin-collector-cinder)</li></ul> |
| [Couchbase](https://github.com/Staples-Inc/snap-plugin-collector-couchbase) | [Staples Inc](https://github.com/Staples-Inc) | No description available. |  |  |
| [DBI](https://github.com/intelsdi-x/snap-plugin-collector-dbi) | [Intel](https://github.com/intelsdi-x) | Collects SQL database metrics using GO's 'SQL' package |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-dbi/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-dbi/latest/linux/x86_64/snap-plugin-collector-dbi)</li></ul> |
| [Df](https://github.com/intelsdi-x/snap-plugin-collector-df) | [Intel](https://github.com/intelsdi-x) | Collects Linux disk space metrics from 'df' |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-df/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-df/latest/linux/x86_64/snap-plugin-collector-df)</li></ul> |
| [Disk](https://github.com/intelsdi-x/snap-plugin-collector-disk) | [Intel](https://github.com/intelsdi-x) | Collects Linux disk metrics from /proc/diskstats. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-collector-disk.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-collector-disk)</li><li>[![Build Status](https://ci.snap-telemetry.io/job/snap-plugin-collector-disk-large-prb-k8s/badge/icon)](https://ci.snap-telemetry.io/job/snap-plugin-collector-disk-large-prb-k8s/)</li></ul> | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-disk/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-disk/latest/linux/x86_64/snap-plugin-collector-disk)</li></ul> |
| [Docker](https://github.com/intelsdi-x/snap-plugin-collector-docker) | [Intel](https://github.com/intelsdi-x) | Collects Docker container runtime metrics. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-collector-docker.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-collector-docker)</li><li>[![Build Status](https://ci.snap-telemetry.io/buildStatus/icon?job=snap-plugin-collector-docker-large-prb-k8s)](https://ci.snap-telemetry.io/job/snap-plugin-collector-docker-large-prb-k8s/)</li></ul> | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-docker/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-docker/latest/linux/x86_64/snap-plugin-collector-docker)</li></ul> |
| [Elasticsearch](https://github.com/intelsdi-x/snap-plugin-collector-elasticsearch) | [Intel](https://github.com/intelsdi-x) | Collects Elasticsearch cluster and node statistics. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-collector-elasticsearch.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-collector-elasticsearch)</li><li>[![Build Status](https://ci.snap-telemetry.io/job/snap-plugin-collector-elasticsearch-large-prb-k8s/badge/icon)](https://ci.snap-telemetry.io/job/snap-plugin-collector-elasticsearch-large-prb-k8s/)</li></ul> | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-elasticsearch/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-elasticsearch/latest/linux/x86_64/snap-plugin-collector-elasticsearch)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-elasticsearch/latest/darwin/x86_64/snap-plugin-collector-elasticsearch)</li></ul> |
| [Etcd](https://github.com/intelsdi-x/snap-plugin-collector-etcd) | [Intel](https://github.com/intelsdi-x) | Collects etcd metrics from /metrics endpoint |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-etcd/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-etcd/latest/linux/x86_64/snap-plugin-collector-etcd)</li></ul> |
| [Ethtool](https://github.com/intelsdi-x/snap-plugin-collector-ethtool) | [Intel](https://github.com/intelsdi-x) | Collect ethtool interface statistics. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-collector-ethtool.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-collector-ethtool)</li></ul> | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-ethtool/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-ethtool/latest/linux/x86_64/snap-plugin-collector-ethtool)</li></ul> |
| [Facter](https://github.com/intelsdi-x/snap-plugin-collector-facter) | [Intel](https://github.com/intelsdi-x) | Collects system information via Facter facts |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-facter/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-facter/latest/linux/x86_64/snap-plugin-collector-facter)</li></ul> |
| [Glance](https://github.com/intelsdi-x/snap-plugin-collector-glance) | [Intel](https://github.com/intelsdi-x) | Collects OpenStack Glance metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-glance/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-glance/latest/linux/x86_64/snap-plugin-collector-glance)</li></ul> |
| [HAproxy](https://github.com/intelsdi-x/snap-plugin-collector-haproxy) | [Intel](https://github.com/intelsdi-x) | Collects HAProxy performance metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-haproxy/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-haproxy/latest/linux/x86_64/snap-plugin-collector-haproxy)</li></ul> |
| [IOstat](https://github.com/intelsdi-x/snap-plugin-collector-iostat) | [Intel](https://github.com/intelsdi-x) | Collects Linux iostat metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-iostat/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-iostat/latest/linux/x86_64/snap-plugin-collector-iostat)</li></ul> |
| [InfluxDB](https://github.com/intelsdi-x/snap-plugin-collector-influxdb) | [Intel](https://github.com/intelsdi-x) | Collects InfluxDB internal monitoring metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-influxdb/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-influxdb/latest/linux/x86_64/snap-plugin-collector-influxdb)</li></ul> |
| [Interface](https://github.com/intelsdi-x/snap-plugin-collector-interface) | [Intel](https://github.com/intelsdi-x) | Collects network interface metrics from /proc/interface |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-interface/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-interface/latest/linux/x86_64/snap-plugin-collector-interface)</li></ul> |
| [Keystone](https://github.com/intelsdi-x/snap-plugin-collector-keystone) | [Intel](https://github.com/intelsdi-x) | Collects OpenStack Keystone module metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-keystone/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-keystone/latest/linux/x86_64/snap-plugin-collector-keystone)</li></ul> |
| [Libvirt](https://github.com/intelsdi-x/snap-plugin-collector-libvirt) | [Intel](https://github.com/intelsdi-x) | Collects Linux libvirt metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-libvirt/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-libvirt/latest/linux/x86_64/snap-plugin-collector-libvirt)</li></ul> |
| [Load](https://github.com/intelsdi-x/snap-plugin-collector-load) | [Intel](https://github.com/intelsdi-x) | Collects Linux load average from /proc/loadavg |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-load/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-load/latest/linux/x86_64/snap-plugin-collector-load)</li></ul> |
| [Memcache](https://github.com/raintank/snap-plugin-collector-memcache) | [raintank](https://github.com/raintank) | Memcach stat collector plugin for Snap |  |  |
| [Meminfo](https://github.com/intelsdi-x/snap-plugin-collector-meminfo) | [Intel](https://github.com/intelsdi-x) | Collects Linux memory metrics from /proc/meminfo. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-collector-meminfo.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-collector-meminfo)</li></ul> | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-meminfo/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-meminfo/latest/linux/x86_64/snap-plugin-collector-meminfo)</li></ul> |
| [Mesos](https://github.com/intelsdi-x/snap-plugin-collector-mesos) | [Intel](https://github.com/intelsdi-x) | Collects Apache Mesos cluster metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-mesos/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-mesos/latest/linux/x86_64/snap-plugin-collector-mesos)</li></ul> |
| [MySQL](https://github.com/intelsdi-x/snap-plugin-collector-mysql) | [Intel](https://github.com/intelsdi-x) | Collects MySQL database metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-mysql/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-mysql/latest/linux/x86_64/snap-plugin-collector-mysql)</li></ul> |
| [Netstat](https://github.com/Staples-Inc/snap-plugin-collector-netstat) | [Staples Inc](https://github.com/Staples-Inc) | Collect TCP connection metrics for the snap telemetry framework |  |  |
| [Neutron](https://github.com/intelsdi-x/snap-plugin-collector-neutron) | [Intel](https://github.com/intelsdi-x) | Collects OpenStack Neutron module metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-neutron/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-neutron/latest/linux/x86_64/snap-plugin-collector-neutron)</li></ul> |
| [Nfsclient](https://github.com/intelsdi-x/snap-plugin-collector-nfsclient) | [Intel](https://github.com/intelsdi-x) | Collects NFS client metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-nfsclient/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-nfsclient/latest/linux/x86_64/snap-plugin-collector-nfsclient)</li></ul> |
| [Nginx](https://github.com/Staples-Inc/snap-plugin-collector-nginx) | [Staples Inc](https://github.com/Staples-Inc) | Collect nginx metrics from the status endpoint |  |  |
| [Node-manager](https://github.com/intelsdi-x/snap-plugin-collector-node-manager) | [Intel](https://github.com/intelsdi-x) | Collects Intel Node Manager performance metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-node-manager/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-node-manager/latest/linux/x86_64/snap-plugin-collector-node-manager)</li></ul> |
| [Nova](https://github.com/intelsdi-x/snap-plugin-collector-nova) | [Intel](https://github.com/intelsdi-x) | Collects OpenStack Nova module metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-nova/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-nova/latest/linux/x86_64/snap-plugin-collector-nova)</li></ul> |
| [OSv](https://github.com/intelsdi-x/snap-plugin-collector-osv) | [Intel](https://github.com/intelsdi-x) | Collects osv performance metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-osv/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-osv/latest/linux/x86_64/snap-plugin-collector-osv)</li></ul> |
| [Openfoam](https://github.com/intelsdi-x/snap-plugin-collector-openfoam) | [Intel](https://github.com/intelsdi-x) | Collects OpenFOAM performance metrics |  | <ul><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-openfoam/latest/linux/x86_64/snap-plugin-collector-openfoam)</li></ul> |
| [PCM](https://github.com/intelsdi-x/snap-plugin-collector-pcm) | [Intel](https://github.com/intelsdi-x) | Collects Intel Performance Counter Metrics (PCM) |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-pcm/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-pcm/latest/linux/x86_64/snap-plugin-collector-pcm)</li></ul> |
| [PSUtil](https://github.com/intelsdi-x/snap-plugin-collector-psutil) | [Intel](https://github.com/intelsdi-x) | Collects Linux psutil metrics. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-collector-psutil.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-collector-psutil)</li></ul> | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-psutil/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-psutil/latest/linux/x86_64/snap-plugin-collector-psutil)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-psutil/latest/darwin/x86_64/snap-plugin-collector-psutil)</li></ul> |
| [Perfevents](https://github.com/intelsdi-x/snap-plugin-collector-perfevents) | [Intel](https://github.com/intelsdi-x) | Collects Linux cgroups perf metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-perfevents/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-perfevents/latest/linux/x86_64/snap-plugin-collector-perfevents)</li></ul> |
| [Ping](https://github.com/raintank/snap-plugin-collector-ping) | [raintank](https://github.com/raintank) |  |  |  |
| [Processes](https://github.com/intelsdi-x/snap-plugin-collector-processes) | [Intel](https://github.com/intelsdi-x) | Collects Linux process metrics from /proc/processes |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-processes/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-processes/latest/linux/x86_64/snap-plugin-collector-processes)</li></ul> |
| [Procnum](https://github.com/raintank/snap-plugin-collector-procnum) | [raintank](https://github.com/raintank) | No description available. |  |  |
| [Procstat](https://github.com/Staples-Inc/snap-plugin-collector-procstat) | [Staples Inc](https://github.com/Staples-Inc) | Collect process metrics using the snap telemetry framework |  |  |
| [RabbitMQ](https://github.com/intelsdi-x/snap-plugin-collector-rabbitmq) | [Intel](https://github.com/intelsdi-x) | Collects RabbitMQ metrics from management API |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-rabbitmq/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-rabbitmq/latest/linux/x86_64/snap-plugin-collector-rabbitmq)</li></ul> |
| [Scaleio](https://github.com/intelsdi-x/snap-plugin-collector-scaleio) | [Intel](https://github.com/intelsdi-x) | Collects ScaleIO performance metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-scaleio/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-scaleio/latest/linux/x86_64/snap-plugin-collector-scaleio)</li></ul> |
| [Smart](https://github.com/intelsdi-x/snap-plugin-collector-smart) | [Intel](https://github.com/intelsdi-x) | Collects Intel SSDs S.M.A.R.T. metrics |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-smart/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-smart/latest/linux/x86_64/snap-plugin-collector-smart)</li></ul> |
| [Snmp](https://github.com/intelsdi-x/snap-plugin-collector-snmp) | [Intel](https://github.com/intelsdi-x) | Collects metrics using SNMP. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-collector-snmp.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-collector-snmp)</li></ul> | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-snmp/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-snmp/latest/linux/x86_64/snap-plugin-collector-snmp)</li></ul> |
| [Swap](https://github.com/intelsdi-x/snap-plugin-collector-swap) | [Intel](https://github.com/intelsdi-x) | Collects Linux swap metrics from /proc |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-swap/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-swap/latest/linux/x86_64/snap-plugin-collector-swap)</li></ul> |
| [Users](https://github.com/intelsdi-x/snap-plugin-collector-users) | [Intel](https://github.com/intelsdi-x) | Collects Linux user metrics from utmp |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-collector-users/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-collector-users/latest/linux/x86_64/snap-plugin-collector-users)</li></ul> |
### Processors

| Name | Maintainer | Description | CI | Download |
|------|------------|-------------|----|----------|
| [Anomalydetection](https://github.com/intelsdi-x/snap-plugin-processor-anomalydetection) | [Intel](https://github.com/intelsdi-x) | Snap plugin intended to process data and highlight outliers |  | <ul><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-processor-anomalydetection/latest/linux/x86_64/snap-plugin-processor-anomalydetection)</li></ul> |
| [Movingaverage](https://github.com/intelsdi-x/snap-plugin-processor-movingaverage) | [Intel](https://github.com/intelsdi-x) | Process snap metrics and return a moving average |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-processor-movingaverage/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-processor-movingaverage/latest/linux/x86_64/snap-plugin-processor-movingaverage)</li></ul> |
| [Statistics](https://github.com/intelsdi-x/snap-plugin-processor-statistics) | [Intel](https://github.com/intelsdi-x) | Process metrics and return statistics over sliding window. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-processor-statistics.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-processor-statistics)</li></ul> | <ul><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-processor-statistics/latest/linux/x86_64/snap-plugin-processor-statistics)</li></ul> |
| [Tag](https://github.com/intelsdi-x/snap-plugin-processor-tag) | [Intel](https://github.com/intelsdi-x) | Process snap metrics and add tags to label the data |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-processor-tag/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-processor-tag/latest/linux/x86_64/snap-plugin-processor-tag)</li></ul> |
### Publishers

| Name | Maintainer | Description | CI | Download |
|------|------------|-------------|----|----------|
| [Blueflood](https://github.com/Staples-Inc/snap-plugin-publisher-blueflood) | [Staples Inc](https://github.com/Staples-Inc) | A snap blueflood publisher |  |  |
| [Cloudwatch](https://github.com/Ticketmaster/snap-plugin-publisher-cloudwatch) | [Ticketmaster](https://github.com/Ticketmaster) | A publisher plugin for intelsdi-x/snap framework |  | <ul><li>[release](https://github.com/Ticketmaster/snap-plugin-publisher-cloudwatch/releases/latest)</li></ul> |
| [File](https://github.com/intelsdi-x/snap-plugin-publisher-file) | [Intel](https://github.com/intelsdi-x) | Publishes metrics to a local file in json format. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-publisher-file.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-publisher-file)</li><li>[![Build Status](https://ci.snap-telemetry.io/job/snap-plugin-publisher-file-large-prb-k8s/badge/icon)](https://ci.snap-telemetry.io/job/snap-plugin-publisher-file-large-prb-k8s/)</li></ul> | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-publisher-file/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-file/latest/linux/x86_64/snap-plugin-publisher-file)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-file/latest/darwin/x86_64/snap-plugin-publisher-file)</li></ul> |
| [Graphite](https://github.com/intelsdi-x/snap-plugin-publisher-graphite) | [Intel](https://github.com/intelsdi-x) | Publishes metrics to graphite. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-publisher-graphite.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-publisher-graphite)</li><li>[![Build Status](https://ci.snap-telemetry.io/buildStatus/icon?job=snap-plugin-publisher-graphite-large-prb-k8s)](https://ci.snap-telemetry.io/job/snap-plugin-publisher-graphite-large-prb-k8s/)</li></ul> | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-publisher-graphite/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-graphite/latest/linux/x86_64/snap-plugin-publisher-graphite)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-graphite/latest/darwin/x86_64/snap-plugin-publisher-graphite)</li></ul> |
| [HANA](https://github.com/intelsdi-x/snap-plugin-publisher-hana) | [Intel](https://github.com/intelsdi-x) | Publishes snap metrics to SAP Hana |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-publisher-hana/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-hana/latest/linux/x86_64/snap-plugin-publisher-hana)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-hana/latest/darwin/x86_64/snap-plugin-publisher-hana)</li></ul> |
| [HEKA](https://github.com/intelsdi-x/snap-plugin-publisher-heka) | [Intel](https://github.com/intelsdi-x) | Publishes snap metrics to Mozilla HEKA |  | <ul><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-heka/latest/linux/x86_64/snap-plugin-publisher-heka)</li></ul> |
| [InfluxDB](https://github.com/intelsdi-x/snap-plugin-publisher-influxdb) | [Intel](https://github.com/intelsdi-x) | Publishes metrics to Influxdb. | <ul><li>[![Build Status](https://travis-ci.org/intelsdi-x/snap-plugin-publisher-influxdb.svg?branch=master)](https://travis-ci.org/intelsdi-x/snap-plugin-publisher-influxdb)</li></ul> | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-publisher-influxdb/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-influxdb/latest/linux/x86_64/snap-plugin-publisher-influxdb)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-influxdb/latest/darwin/x86_64/snap-plugin-publisher-influxdb)</li></ul> |
| [Kafka](https://github.com/intelsdi-x/snap-plugin-publisher-kafka) | [Intel](https://github.com/intelsdi-x) | Publishes snap metrics to Apache Kafka |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-publisher-kafka/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-kafka/latest/linux/x86_64/snap-plugin-publisher-kafka)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-kafka/latest/darwin/x86_64/snap-plugin-publisher-kafka)</li></ul> |
| [Kairosdb](https://github.com/intelsdi-x/snap-plugin-publisher-kairosdb) | [Intel](https://github.com/intelsdi-x) | Publishes snap metrics to KairosDB |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-publisher-kairosdb/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-kairosdb/latest/linux/x86_64/snap-plugin-publisher-kairosdb)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-kairosdb/latest/darwin/x86_64/snap-plugin-publisher-kairosdb)</li></ul> |
| [MySQL](https://github.com/intelsdi-x/snap-plugin-publisher-mysql) | [Intel](https://github.com/intelsdi-x) | Publishes snap metrics to MySQL |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-publisher-mysql/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-mysql/latest/linux/x86_64/snap-plugin-publisher-mysql)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-mysql/latest/darwin/x86_64/snap-plugin-publisher-mysql)</li></ul> |
| [OpenTSDB](https://github.com/intelsdi-x/snap-plugin-publisher-opentsdb) | [Intel](https://github.com/intelsdi-x) | Publishes snap metrics to OpenTSDB |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-publisher-opentsdb/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-opentsdb/latest/linux/x86_64/snap-plugin-publisher-opentsdb)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-opentsdb/latest/darwin/x86_64/snap-plugin-publisher-opentsdb)</li></ul> |
| [PostgreSQL](https://github.com/intelsdi-x/snap-plugin-publisher-postgresql) | [Intel](https://github.com/intelsdi-x) | Publishes snap metrics to PostreSQL |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-publisher-postgresql/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-postgresql/latest/linux/x86_64/snap-plugin-publisher-postgresql)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-postgresql/latest/darwin/x86_64/snap-plugin-publisher-postgresql)</li></ul> |
| [RabbitMQ](https://github.com/intelsdi-x/snap-plugin-publisher-rabbitmq) | [Intel](https://github.com/intelsdi-x) | Publishes snap metrics to RabbitMQ |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-publisher-rabbitmq/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-rabbitmq/latest/linux/x86_64/snap-plugin-publisher-rabbitmq)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-rabbitmq/latest/darwin/x86_64/snap-plugin-publisher-rabbitmq)</li></ul> |
| [Riemann](https://github.com/intelsdi-x/snap-plugin-publisher-riemann) | [Intel](https://github.com/intelsdi-x) | Publishes snap metrics to Riemann |  | <ul><li>[release](https://github.com/intelsdi-x/snap-plugin-publisher-riemann/releases/latest)</li><li>[linux/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-riemann/latest/linux/x86_64/snap-plugin-publisher-riemann)</li><li>[darwin/x86_64](https://s3-us-west-2.amazonaws.com/snap.ci.snap-telemetry.io/plugins/snap-plugin-publisher-riemann/latest/darwin/x86_64/snap-plugin-publisher-riemann)</li></ul> |

### Wishlist

There will always be more plugins we wish we had. To make sure others can contribute to our community goals, we keep a wish list of what people would like to see. If you see one here and want to start on it please let us know by commenting on the corresponding issue!

| Issue | Description |
|-------|-------------|
| [#1249](https://github.com/intelsdi-x/snap/issues/1249) | Plugin Wanted: Collector for vCenter |
| [#1196](https://github.com/intelsdi-x/snap/issues/1196) | Plugin Wanted: Publisher for Prometheus  |
| [#1175](https://github.com/intelsdi-x/snap/issues/1175) | Develop Perfmon windows performance monitor plugin |
| [#1117](https://github.com/intelsdi-x/snap/issues/1117) | syslog collector |
| [#1030](https://github.com/intelsdi-x/snap/issues/1030) | Support flow collector like sflow or netflow? |
| [#1003](https://github.com/intelsdi-x/snap/issues/1003) | Collector for tcp and udp stats? |
